<?php
/*
Theme Designed By: Meysam Hosseinkhani
Email: Meysam98@Gmail.com
Author Website: Hosseinkhani.ir
*/
   // Exit if accessed directly
   if (!defined('ABSPATH')) {
    exit;
}
add_action('wp_head', 'custom_styles', 160);
function custom_styles() {
global $di_data; ?>
<style>
.navbar-nav>li>a, .btn-cart i, .btn-wish i, .btn-compare i{color: <?php echo $di_data['menu_text_color']; ?>!important;}
.navbar {background: <?php echo $di_data['menu_bg_color']; ?>!important;}
.yamm>li {border-top-color: <?php echo $di_data['menu_bg_color']; ?>!important;}
.header {background-color: <?php echo $di_data['head_bg_color']; ?>!important;}
.head-social ul li a i,.login-link ,.register-link,.head-menu li a, .user-drop .fal, .user-menu .user-name, .user-name .wallet .woocommerce-Price-amount, .head-email, .head-phone,.head-contact a{color:<?php echo $di_data['head_text_color']; ?>!important;}
<?php if ($di_data['custom_css'] != '') { print_r($di_data['custom_css']) . "\n"; }
if ($di_data['show_page_loading']) {
if(!$di_data['show_custom_loading']){
$load_img = $di_data['load_img'];
} else {
$load_img = $di_data['custom_loading_image']['url'];
 } ?>
.no-js #loader{display: none}
.js #loader {display: block; position: absolute; left: 100px; top: 0}
.se-pre-con {position: fixed;left: 0px;top: 0px;width: 100%;height: 100%;z-index:999999;background: url(<?php echo $load_img; ?> ) center no-repeat #fff}
<?php } ?>
a {color:<?php echo $di_data['custom_color']; ?>}
::selection,::-moz-selection{background:<?php echo $di_data['custom_color']; ?>!important}
.btn-search:hover,.footer a:hover,.sfooter li a:hover,.short-btn:hover,.fwidget .menu-link:hover:before,.link-list a:hover:before,.product-block .owl-prev,
.product-block .owl-next,.post-block .owl-prev, .post-block .owl-next,.pagination ul>li>a, .pagination ul>li>span,
.woocommerce-pagination ul>li>a, .woocommerce-pagination ul>li>span,.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover, .pshare:hover,.jvm_add_to_wishlist.button:hover,a.jvm_add_to_wishlist.button.in_wishlist,.dokan-pagination-container li a{color:<?php echo $di_data['custom_color']; ?>!important}
.counter-con,a:hover,.service-icon i,.no-mega .yamm-fw a:hover,.morebtn,.pagination ul>li>a,.pagination ul>li>span,.product_extra i,.menu-col>.menu-link,.closebtn,.mclosebtn,.search-result-more{color:<?php echo $di_data['custom_color']; ?>}
.block-title .pview-all,.sp-red,.dropdown-menu>li>a:hover,.prod-excerpt i,.mobile-footer span:hover,.mobile-footer a:hover,.woocommerce div.product .product_title::before{color:<?php echo $di_data['custom_color']; ?>!important}
.block-title,.logos h2, .wid-title h3,.side-title {border-bottom-color:<?php echo $di_data['custom_color']; ?>}
.header, .woocommerce div.product .woocommerce-tabs ul.tabs li.active,.yamm>li:hover,.copyright {border-top-color:<?php echo $di_data['custom_color']; ?>!important}
<?php if(is_rtl()) { ?>
.dokan-dashboard-menu li a,.woocommerce-MyAccount-navigation li a {border-right:3px solid #fff;}
.woocommerce-MyAccount-navigation li.is-active a, .woocommerce-MyAccount-navigation li.active a, .woocommerce-MyAccount-navigation li a:hover,.dokan-dashboard-menu li a:hover,.dokan-dashboard-menu li.active a {border-right-color: <?php echo $di_data['custom_color']; ?>;color: <?php echo $di_data['custom_color']; ?>;}
.special-title li{border-right:4px solid #F4F5F9}
.special-title li.active,.special-title li:hover{border-right:4px solid}
.prod-excerpt {border-right: 4px solid;}
.special-title li.active,.special-title li:hover,.prod-excerpt {border-right-color:<?php echo $di_data['custom_color']; ?>!important}
<?php } else { ?>
.dokan-dashboard-menu li a,.woocommerce-MyAccount-navigation li a {border-left:3px solid #fff;}
.woocommerce-MyAccount-navigation li.is-active a, .woocommerce-MyAccount-navigation li.active a, .woocommerce-MyAccount-navigation li a:hover,.dokan-dashboard-menu li a:hover,.dokan-dashboard-menu li.active a {border-left-color: <?php echo $di_data['custom_color']; ?>;color: <?php echo $di_data['custom_color']; ?>;}
.special-title li{border-left:4px solid #F4F5F9}
.special-title li.active,.special-title li:hover{border-left:4px solid}
.prod-excerpt {border-left: 4px solid;}
.special-title li.active,.special-title li:hover,.prod-excerpt {border-left-color:<?php echo $di_data['custom_color']; ?>!important}
<?php } ?>
.btn-outline-dina:hover,.sidecart .button.wc-forward:hover,
.dataTables_paginate .paginate_button.current,
.dataTables_paginate .paginate_button:hover,
.wpas-btn:hover,.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
input[type=reset]:hover,
input[type=submit]:hover,
.woocommerce-product-search button[type=submit]:hover,.reply a:hover,
a.comment-edit-link:hover,.slider-con .owl-dots .owl-dot.active span,.slider-con .owl-dots .owl-dot:hover span{background-color: <?php echo $di_data['custom_color']; ?>;border-color: <?php echo $di_data['custom_color']; ?>;color:#fff;}
.btn-outline-dina,.sidecart .button.wc-forward,
.dataTables_paginate .paginate_button,
.wpas-btn,.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
input[type=reset],.woocommerce-product-search button[type=submit],
input[type=submit],.reply a,
a.comment-edit-link{color:<?php echo $di_data['custom_color']; ?>;border-color:<?php echo $di_data['custom_color']; ?>;}
.special-box .owl-dots .owl-dot span,.slider-con .owl-dots .owl-dot span{border-color:<?php echo $di_data['custom_color']; ?>}
.page-numbers.current,.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.dokan-dashboard .dokan-dashboard-wrap .key_wrapper:hover .fal,.woocommerce .widget_price_filter .ui-slider .ui-slider-handle{background:<?php echo $di_data['custom_color']; ?>!important;color: #fff!important;}
.not-stock-text,.p-tags a:hover,.post-cats a:hover,.post-tags a:hover,.fw-content .cat-item:hover,.cart-amount,.compare-amount,.tagcloud a:hover,.ntitle:after,.special-box .owl-dots .owl-dot.active span,.special-box .owl-dots .owl-dot:hover span,.post-cat,.slide-progress,.dokan-pagination-container li.active a{background:<?php echo $di_data['custom_color']; ?>!important}
.head-msg{background-color:<?php echo $di_data['msg_bgcolor']; ?>;color:<?php echo $di_data['msg_fcolor']; ?>}
.copyright {background:<?php echo $di_data['copy_bg_color']; ?>;color:<?php echo $di_data['copy_text_color']; ?>}
.dokan-pagination-container .dokan-pagination li:last-child a:after,.dokan-pagination-container .dokan-pagination li:first-child a:after,.salecount-section,.showmore-button,.prod-count .fal,.sku,.prod-opts span:hover i, .btn-cart:hover i,.btn-wish:hover i,.btn-compare:hover i{color:<?php echo $di_data['custom_color']; ?>!important}
<?php if (!$di_data['rounded_corners']) { ?>
    .woocommerce-input-wrapper .select2-container--default .select2-selection--single, #billing_city_field .select2-selection, .select2-container--default .select2-selection--single,.mini-post img, .block-title .pview-all,.not-stock-text,.post-cat,.post-cats a, .post-tags a,.short-con,.link-copy,.quantity-con,.product_extra,.woocommerce-MyAccount-content, .woocommerce-MyAccount-navigation-con,.woocommerce-message, .woocommerce-info, .woocommerce-error,.woocommerce-input-wrapper .select2-container--default .select2-selection--single,.woocommerce-MyAccount-navigation-con .avatar,.searchwp-live-search-results-showing,.post-aut img,.alert,.form-control, textarea, input[type=text], input[type=email], input[type=password], input[type=url], input[type=tel], input[type=number], input[type=date], select, #dokan_address_state,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce a.button.alt, .woocommerce button.button.alt, input[type=reset], input[type=submit],.shadow-box,.slider-con, .woocommerce div.product .product_title,.user-menu,.user-menu img,#login_form input,#login_form .input-group-text, .button, .woocommerce .quantity .product_quantity_minus, .woocommerce .quantity .product_quantity_plus, .woocommerce div.product form.cart div.quantity, .btn, .prod-cat select, .latest-posts .post-image img, .news-form .input-group-text, .white-box, .product-dis, .slider-con .owl-prev, .slider-con .owl-next, .special-title li,.dropdown>.dropdown-menu,.product-block .owl-prev, .product-block .owl-next, .post-block .owl-prev, .post-block .owl-next,#back-top span  {border-radius: 0!important;}
.prod-cat select {padding-right: 10px!important;}
<?php } ?>
<?php if ((!$di_data['rounded_corners']) && (class_exists( 'WeDevs_Dokan' ))) { ?>
.dokan-dashboard-wrap .dokan-form-control,.dashboard-menu-con .avatar,.dokan-input-group .dokan-input-group-addon,.dokan-input-group .dokan-form-control.datepicker,.dokan-dashboard-header .entry-title small,.dokan-dashboard-content input[type="submit"].dokan-btn, .dokan-dashboard-content a.dokan-btn, .dokan-dashboard-content .dokan-btn, .dokan-add-new-product-popup input[type="submit"].dokan-btn, .dokan-add-new-product-popup a.dokan-btn, .dokan-add-new-product-popup .dokan-btn, .dokan-btn.dokan-btn-theme.vendor-dashboard,.dashboard-menu-con,.dokan-dashboard-content article,
.dokan-dashboard-content .wpuf-form-add,.dokan-dashboard .dokan-dashboard-wrap .key_wrapper{border-radius: 0!important;}
<?php } ?>
<?php if (!$di_data['show_loading_bar']) { ?>
.pace {display: none;}<?php } ?>
<?php if ($di_data['show_return_top']) { ?>
#back-top {bottom:<?php echo $di_data['return_top_bottom']; ?>px;right:<?php echo $di_data['return_top_right']; ?>px;}
<?php } ?>
<?php if ($di_data['show_social_btn']) { ?>
.di-socialbtn {bottom:<?php echo $di_data['social_btn_bottom']; ?>px;left:<?php echo $di_data['social_btn_right']; ?>px;}
.di-socialbtn span {background-color: <?php echo $di_data['social_btn_color']; ?>}
<?php } ?>
.re-price del,.sp-sprice>span,.mini-product .product-price,.sidecart .woocommerce-mini-cart__total.total,.woocommerce-Price-amount,.woocommerce div.product p.price,.woocommerce div.product span.price{color:<?php echo $di_data['price_color']; ?>}
<?php if($di_data['ajax_search']) { ?>
.searchwp-live-search-no-min-chars::after {content: '<?php _e('Please type...','dina-kala') ?>';}
<?php } ?>
<?php if($di_data['out_stock_black']) { ?>
.prod-out-stock .product-link{-webkit-filter:grayscale(100%);filter:grayscale(100%)}.prod-out-stock:hover .product-link{-webkit-filter:grayscale(100%);filter:grayscale(100%)}.prod-out-stock.prblur:hover .product-link{-webkit-filter:blur(1px)grayscale(100%);filter:blur(1px)grayscale(100%)}.outofstock .woocommerce-product-gallery{-webkit-filter:grayscale(100%);filter:grayscale(100%)}
<?php } ?>
<?php if(!$di_data['show_prod_tags']) { ?>
.product_meta .tagged_as {display: none;}
<?php } ?>
.woocommerce span.onsale, .product-dis {background-color:<?php echo $di_data['dis_color']; ?>;color:<?php echo $di_data['dis_text_color']; ?>;}
.mini-product .btn.btn-success, .mini-post .btn.btn-success {background-color:<?php echo $di_data['read_product_color']; ?>;border-color:<?php echo $di_data['read_product_color']; ?>;color:<?php echo $di_data['read_product_text_color']; ?>}
.mini-product .btn.btn-success:not(:disabled):not(.disabled).active, .mini-product .btn.btn-success:not(:disabled):not(.disabled):active, .show>.mini-product .btn.btn-success.dropdown-toggle,.mini-post .btn.btn-success:not(:disabled):not(.disabled).active, .mini-product .btn.btn-success:not(:disabled):not(.disabled):active, .show>.mini-product .btn.btn-success.dropdown-toggle,.mini-product .btn.btn-success:hover, .mini-post .btn.btn-success:hover {color:<?php echo $di_data['read_product_hover_text_color']; ?>;background-color:<?php echo $di_data['read_product_hover_color']; ?>;border-color:<?php echo $di_data['read_product_hover_color']; ?>;}
.single-product .product .single_add_to_cart_button.button {background-color:<?php echo $di_data['add_btn_color']; ?>!important;border-color:<?php echo $di_data['add_btn_color']; ?>!important;color:<?php echo $di_data['add_btn_text_color']; ?>!important}
.single-product .product .single_add_to_cart_button.button:hover {color:<?php echo $di_data['add_btn_hover_text_color']; ?>!important;background-color:<?php echo $di_data['add_btn_hover_color']; ?>!important;border-color:<?php echo $di_data['add_btn_hover_color']; ?>!important;}
<?php if (function_exists('digits_version')) {?>
.dig_ma-box, .dig_ma-box input, .dig_ma-box input::placeholder, .dig_ma-box ::placeholder, .dig_ma-box label, .dig_ma-box button, .dig_ma-box select, .dig_ma-box * {font-family: 'dana', sans-serif !important;}
<?php } ?>
</style>
<?php
if(!empty($di_data['header_codes'])){
print_r($di_data['header_codes']) . "\n";
}}